<?php

include_once("core/main.php");

// this is forced here for security reasons

if( !check_module("events") ) die( "module not enabled" );


require_once("phpdbform/phpdbform_form.php");



$index_page = false;

$page_name = $lang["EVENTS_ADD"];



draw_header();
$ok_add="N"; 
if( $cfg["events"]["useradd1"] )
 {
if( $cfg["events"]["useradd"] )
 {
$ok_add="Y"; 
 }
}
if( $cfg["events"]["useradd"] )
{

if( $_SESSION["wt"]["logged"] )
{ $ok_add="Y"; }
 
}

if( $ok_add=="N"  )

{

    theme_draw_centerbox_open( $lang["EVENTS_ADD"] );

	print "<span class=\"error\">{$lang["EVENTS_NOT_ADD"]}</span>";

	theme_draw_centerbox_close();

    draw_footer();

    exit;

}
else 
{

$form = new phpform( "addevent", "add_event.php" );

$form->add_textbox( "title", "*".$lang["EVENTS_A_TITLE"], 40, 40 );

$form->add_date( "date", $lang["EVENTS_A_DATE"], $cfg["core"]["date_format"]  );

$form->fields["date"]->value = date("Y-m-d");

$form->add_textbox( "from_", $lang["EVENTS_A_FROM"] , 10, 10 );

$form->add_textbox( "till", $lang["EVENTS_A_TIL"] , 10, 10 );

$form->add_textbox( "who", $lang["EVENTS_A_WHO"] , 40, 255 );

$form->add_textbox( "location", "*".$lang["EVENTS_A_LOC"] , 40, 255 );

$form->add_textarea( "description", "*".$lang["EVENTS_A_DESC"], 40, 5 );

$form->add_textarea( "add_desc", $lang["EVENTS_A_ADDDESC"], 40, 5 );



theme_draw_centerbox_open( $lang["EVENTS_ADD"] );

$ok = false;

$errors = array();

if( $form->process() )

{

	if( !isset($_SESSION["wt"]["addevent"]) )

	{


		$form->fields["title"]->value = trim(strip_tags($form->fields["title"]->value));	
		$form->fields["date"]->value = trim(strip_tags($form->fields["date"]->value));
		$form->fields["from_"]->value = trim(strip_tags($form->fields["from_"]->value));
		$form->fields["till"]->value = trim(strip_tags($form->fields["till"]->value));
		$form->fields["who"]->value = trim(strip_tags($form->fields["who"]->value));		
		$form->fields["description"]->value = trim(strip_tags($form->fields["description"]->value));
		$form->fields["add_desc"]->value = trim(strip_tags($form->fields["add_desc"]->value));
		$form->fields["location"]->value = trim(strip_tags($form->fields["location"]->value));

		if( !empty($errors) )

		{

			print "<div class=\"error\">";

			while( $err = each($errors) )

			{
				print "{$err[1]}<br>\n";

			}

			print "</div>\n";
	

		} else $ok = true;


		if( $ok )

		{

			$stmt = "insert into {$config["prefix"]}_events set"

				." title = '".addslashes($form->fields["title"]->value)."',"
				
				." date = '".addslashes($form->fields["date"]->value)."',"

				." active = 'N',"

				." description = '".addslashes($form->fields["description"]->value)."',"

				." from_ = '".addslashes($form->fields["from_"]->value)."',"
				
				." till = '".addslashes($form->fields["till"]->value)."',"
				
				." who = '".addslashes($form->fields["who"]->value)."',"

				." userid ='".$_SESSION[wt][uid]."',"

				." add_desc = '".addslashes($form->fields["add_desc"]->value)."',"

				." location = '".addslashes($form->fields["location"]->value)."'";

			$ret = db_query( $stmt );

			if( !$ret )

			{

				$ok = false;

				print "<div class=\"error\">".$lang["ERROR_04"]."<br>".db_error()."</div>";

			} else {
if( $cfg["events"]["sendmail"] )
{
				print "<div class=\"info\">".$lang[EVENTS_ADD_OK]."</div>";
				mail($cfg["core"]["mail_admin"], $lang["EVENTS_M_01"], $lang["EVENTS_M_02"]."\n\n".$cfg["core"]["url"],"From: ".$cfg["core"]["mail_admin"]."\n");
}
				$_SESSION["wt"]["addevent"] = true;

			}

		}

	} else $ok = true;

} else {

	if( isset($_SESSION["wt"]["addevent"]) ) unset($_SESSION["wt"]["addevent"]);

}

if( !$ok ) $form->draw();

theme_draw_centerbox_close();



draw_footer();
}
?>