<?php
// Created by Hugo van der Weijden - Events admin
// October 2003
include_once("core/main.php");

if( !check_user_class($config["admmenu"]["events"]["class"]) ) exit;

if( !check_module("events") ) die( "module not enabled" );

$index_page = false;

$page_name = $lang["EVENTS_ADMIN"];

draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");

require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );

$db->connect();


$formdb = new phpdbform( $db, "{$config["prefix"]}_events", "cod", "date,title,active", "date");
$formdb->add_textbox( "title", $lang["EVENTS_A_TITLE"], 40, 40 );
$formdb->add_textbox( "date", $lang["EVENTS_A_DATE"], 10, 10 );
$formdb->add_date( "date", $lang["EVENTS_A_DATE"], $cfg["core"]["date_format"]  );
$formdb->add_static_radiobox( "active", $lang["EVENTS_A_ACTIVE"], "Y,N" );
$formdb->add_textarea( "description", $lang["EVENTS_A_DESC"], 80, 10 );
$formdb->add_textarea( "add_desc", $lang["EVENTS_A_ADDDESC"], 80, 10 );
$formdb->add_textbox( "location", $lang["EVENTS_A_LOC"], 40, 40 );
$formdb->add_textbox( "from_", $lang["EVENTS_A_FROM"], 10, 10 );
$formdb->add_textbox( "till", $lang["EVENTS_A_TIL"], 10, 10 );
theme_draw_centerbox_open($page_name);

$formdb->process();

$formdb->draw();

theme_draw_centerbox_close();

draw_footer();

?>