CREATE TABLE `{$db_prefix}_badges` (

  `cod` int(10) unsigned NOT NULL auto_increment,

  `manual` enum('Y','N') NOT NULL default 'Y',

  `title` varchar(80) NOT NULL default '',

  `image` text,

  `file` varchar(40) NOT NULL default 'none',

  `function` varchar(50) default NULL,

  `descr` text NOT NULL,

  PRIMARY KEY  (`cod`)

) TYPE=MyISAM AUTO_INCREMENT=22 ;



CREATE TABLE `{$db_prefix}_badge_holders` (

  `id` int(10) NOT NULL auto_increment,

  `uid` int(10) NOT NULL default '0',

  `badge` int(10) NOT NULL default '0',

  KEY `id` (`id`)

) TYPE=MyISAM AUTO_INCREMENT=1 ;





INSERT INTO `{$db_prefix}_badges` VALUES (1, 'N', 'USA Badge', 'none', 'usabadge', '', 'This badge is held by users who live in the USA!');

INSERT INTO `{$db_prefix}_badges` VALUES (2, 'N', 'World User Badge', 'none', 'worldbadge', '', 'This badge is held by users outside the USA.');

INSERT INTO `{$db_prefix}_badges` VALUES (3, 'N', 'Admin Badge', 'none', 'adminbadge', '', 'This badge is held by admins only!');

INSERT INTO `{$db_prefix}_badges` VALUES (4, 'Y', 'Handy Persone Badge', 'handy.gif', 'none', '', 'This badge is held by very handy users to have around.');

INSERT INTO `{$db_prefix}_badges` VALUES (5, 'Y', 'Bug Finder', 'bug finder.gif', 'none', '', 'This badge is held by users who are bug finding fools!');

INSERT INTO `{$db_prefix}_badges` VALUES (6, 'Y', 'Bug Killer', 'bug killer.gif', 'none', '', 'This badge is held by members who can kil bugs with ease.');

INSERT INTO `{$db_prefix}_badges` VALUES (7, 'Y', 'Bug Free', 'bug free.gif', 'none', '', 'This member is known for bug free programming.');

INSERT INTO `{$db_prefix}_badges` VALUES (8, 'Y', 'PHP User Badge', 'phpicon.jpg', 'none', '', 'This badge is held by members who use php.');

 