<?php
class MOD_LoginExtender {
	function DrawForm() {
		global $lang;
		echo '<label for="code">'.$lang["mod_extender_verify_code"].'</label>:<br>'."\n";
		echo '<div style="text-align:center;"><img src="./modules/extlogin/image.php" alt="'.$lang["mod_extender_verify_code"].'"></div>'."\n";
		echo '<input type="text" name="code" id="code" class="field_textbox" size="15"><br>'."\n";
	}

	function DrawSecureForm() {
		global $lang;
		echo '<script type="text/javascript">'."\n";
		echo '//<![CDATA['."\n";
		echo 'document.write(\'<input type="checkbox" name="formSecure" checked="checked" id="formSecure" tabindex="2" /><label for="formSecure">'.$lang["mod_extlogin_secure"].'<\/label><br />\');'."\n";
		echo '//]]>'."\n";
		echo '</script>'."\n";
	}

	function use_mask($final) {
		$mask = "";
		$new = "";
		for ($i = 0; $i < strlen($final); $i++):
			$msk[$i] = rand(0, 9);
			$new .= chr(ord($final[$i])+$msk[$i]);
			$mask .= $msk[$i];
		endfor;
		return strlen($final).$new.$mask;
	}

	function decode_mask() {
		$new = "";
		$mask = $_SESSION["mod_extlogin"];
		$len = substr($mask, 0, 1);
		for ($i = 0; $i < $len; $i++):
			$new .= chr(ord($mask[1+$i])-$mask[1+$len+$i]);
		endfor;
		return $new;
	}
	
	function parse_color($hex) {
		$vys = preg_match("/#([0-9a-f]{2})([0-9a-f]{2})([0-9a-f]{2})/", strtolower($hex), $match);
		if ($vys):
			$col[0] = hexdec($match[1]);
			$col[1] = hexdec($match[2]);
			$col[2] = hexdec($match[3]);
			return array($col[0], $col[1], $col[2]);
		else:
			return array(0, 0, 0);
		endif;
	}
}
?>