<?php
session_start();
require_once("functions.php");
require_once("../../wt_config.php");
require_once("../../core/mysql.lib.php");

$conn = db_connect( $config["host"], $config["database"], $config["user"], $config["password"] ) or die( db_error() );
$ret = db_query( "select * from ".$config["prefix"]."_config where id='extlogin'" );
if( !$ret ) {
    print "<div class=\"error\">An error has ocurred while loading configuration.</div>";
} else {
	while( $rowcfg = db_fetch_array($ret) )
	{
		$cfg[$rowcfg["id"]] = unserialize(stripslashes($rowcfg["config"]));
	}
}
db_free_result($ret);
db_close($conn);

header("Cache-Control: no-cache, must-revalidate"); // HTTP/1.1
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Content-type: image/png");

$final = "";

$padding       = $cfg["extlogin"]["genpadding"];
$word_spacing  = $cfg["extlogin"]["genspacing"];
$mixing        = $cfg["extlogin"]["genmixing"];
$lines_spacing = $cfg["extlogin"]["genlspacing"];
$_cfgLenght    = $cfg["extlogin"]["generator_lenght"];
$_cfgChars     = $cfg["extlogin"]["generator_chars"];
$_cfgColorBack = $cfg["extlogin"]["backcolor"];
$_cfgColorText = $cfg["extlogin"]["textcolor"];
$_cfgColorLine = $cfg["extlogin"]["linescolor"];
$_cfgfont      = $cfg["extlogin"]["genfont"];

$_fWidth    = imagefontwidth($_cfgfont);
$_fHeight   = imagefontheight($_cfgfont);
$width      = ($_cfgLenght * ($_fWidth + $word_spacing)) + (2 * $padding) - $word_spacing;
$height     = ($_fHeight + (2 * $mixing)) + (2 * $padding);
$font_width = $_fWidth + $word_spacing;
$top        = $padding + $mixing;
$left       = $padding;

$im = imagecreate($width, $height);

$color[] = MOD_LoginExtender::parse_color($_cfgColorBack);
$color[] = MOD_LoginExtender::parse_color($_cfgColorText);
$color[] = MOD_LoginExtender::parse_color($_cfgColorLine);

$bgcolor  = imagecolorallocate($im, $color[0][0], $color[0][1], $color[0][2]);
$txtcolor = imagecolorallocate($im, $color[1][0], $color[1][1], $color[1][2]);
$lncolor  = imagecolorallocate($im, $color[2][0], $color[2][1], $color[2][2]);

for ($i = 0; $i < ceil($height / $lines_spacing); $i++):
	$line_y = ($lines_spacing - 2) + ($i * $lines_spacing);
	imageline($im, 0, $line_y, $width, $line_y, $lncolor);
endfor;

for ($i = 0; $i < ceil($width / $lines_spacing); $i++):
	$line_x = ($lines_spacing - 2) + ($i * $lines_spacing);
	imageline($im, $line_x, 0, $line_x, $height, $lncolor);
endfor;

for ($i = 0; $i < $_cfgLenght; $i++):
	$rand_from = 0 - $mixing;
	$rand_to   = 0 + $mixing;
	$pos = rand($rand_from, $rand_to);
	
	$str = $_cfgChars[rand(0, strlen($_cfgChars)-1)];
	
	imagestring($im, $_cfgfont, $left + ($i * $font_width), $top + $pos, $str, $txtcolor);

	$final .= $str;
endfor;

$_SESSION["mod_extlogin"] = MOD_LoginExtender::use_mask($final);
imagepng($im);
imagedestroy($im);
?>