BEGIN;

CREATE SEQUENCE wt_faq_topics_cod_seq;

CREATE TABLE wt_faq_topics (

  cod INT4 DEFAULT nextval('wt_faq_topics_cod_seq'),

  name varchar(80) NOT NULL DEFAULT '',

  PRIMARY KEY  (cod)

);

CREATE SEQUENCE wt_faq_cod_seq;

CREATE TABLE wt_faq (

  cod INT4 DEFAULT nextval('wt_faq_cod_seq'),

  topic INT4  NOT NULL DEFAULT '0',

  uid INT4  NOT NULL DEFAULT '0',

  active char(1) NOT NULL DEFAULT 'N',

  question_ori TEXT DEFAULT '' NOT NULL,

  question TEXT DEFAULT '' NOT NULL,

  answer_ori TEXT DEFAULT '' NOT NULL,

  answer TEXT DEFAULT '' NOT NULL,

  PRIMARY KEY  (cod)

);

CREATE INDEX topic_wt_faq_index ON wt_faq (topic);

SELECT SETVAL('wt_faq_topics_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_faq_topics));

SELECT SETVAL('wt_faq_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_faq));

COMMIT;

