BEGIN;

CREATE SEQUENCE wt_user_msgs_cod_seq;

CREATE TABLE wt_user_msgs (

  cod INT4 DEFAULT nextval('wt_user_msgs_cod_seq'),

  userid INT4  NOT NULL DEFAULT '0',

  folder VARCHAR(7) CHECK(folder in('inbox','sent')) NOT NULL DEFAULT 'inbox',

  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',

  user_from INT4  NOT NULL DEFAULT '0',

  title varchar(80) NOT NULL DEFAULT '',

  msg_read INT2  NOT NULL DEFAULT '0',

  text TEXT DEFAULT '' NOT NULL,

  notify BOOL NOT NULL DEFAULT 'N',

  PRIMARY KEY  (cod)

);

SELECT SETVAL('wt_user_msgs_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_user_msgs));

COMMIT;

