<?php
/*****************************************************************************
* tab_popbook.php                                                            *
******************************************************************************
* created:      04-19-2004                                                   *
* Author:       Jaron Bouton                                                 *
* Description:  Database table definition file for the webmail module        *
******************************************************************************/
$table_create[$prefix."_popbook"]="CREATE TABLE `".$prefix."_popbook` ("
                                 ." `uid` int(11) NOT NULL default '0',"
                                 ." `contactid` int(11) NOT NULL auto_increment,"
                                 ." `firstname` varchar(50) default NULL,"
                                 ." `lastname` varchar(50) default NULL,"
                                 ." `email` varchar(255) default NULL,"
                                 ." `company` varchar(255) default NULL,"
                                 ." `homeaddress` varchar(255) default NULL,"
                                 ." `city` varchar(80) default NULL,"
                                 ." `homephone` varchar(255) default NULL,"
                                 ." `workphone` varchar(255) default NULL,"
                                 ." `homepage` varchar(255) default NULL,"
                                 ." `notes` text,"
                                 ." PRIMARY KEY  (`contactid`),"
                                 ." KEY `uid` (`uid`),"
                                 ." KEY `contactid` (`contactid`)"
                                 ." ) TYPE=MyISAM";


$table_index[$prefix."_popbook"][]="PRIMARY KEY  (`contactid`)";
$table_index[$prefix."_popbook"][]="KEY `uid` (`uid`)";
$table_index[$prefix."_popbook"][]="KEY `contactid` (`contactid`)";

//`cod` tinyint(3) unsigned NOT NULL auto_increment,
$table[$prefix."_popbook"]["uid"]["field"]="uid";
$table[$prefix."_popbook"]["uid"]["type"]="int(11) unsigned";
$table[$prefix."_popbook"]["uid"]["default"]="0";
$table[$prefix."_popbook"]["uid"]["null"]="";
$table[$prefix."_popbook"]["uid"]["Extra"]="";

//`name` varchar(20) NOT NULL default '',
$table[$prefix."_popbook"]["contactid"]["field"]="contactid";
$table[$prefix."_popbook"]["contactid"]["type"]="int(11)";
$table[$prefix."_popbook"]["contactid"]["default"]="";
$table[$prefix."_popbook"]["contactid"]["null"]="";
$table[$prefix."_popbook"]["contactid"]["Extra"]="auto_increment";

//`firstname` varchar(50) default NULL
$table[$prefix."_popbook"]["firstname"]["field"]="firstname";
$table[$prefix."_popbook"]["firstname"]["type"]="varchar(50)";
$table[$prefix."_popbook"]["firstname"]["default"]="";
$table[$prefix."_popbook"]["firstname"]["null"]="YES";
$table[$prefix."_popbook"]["firstname"]["Extra"]="";

//`lastname` varchar(50) default NULL,
$table[$prefix."_popbook"]["lastname"]["field"]="lastname";
$table[$prefix."_popbook"]["lastname"]["type"]="varchar(50)";
$table[$prefix."_popbook"]["lastname"]["default"]="";
$table[$prefix."_popbook"]["lastname"]["null"]="YES";
$table[$prefix."_popbook"]["lastname"]["Extra"]="";

//`email` varchar(255) default NULL,
$table[$prefix."_popbook"]["email"]["field"]="email";
$table[$prefix."_popbook"]["email"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["email"]["default"]="";
$table[$prefix."_popbook"]["email"]["null"]="YES";
$table[$prefix."_popbook"]["email"]["Extra"]="";

//`company` varchar(255) default NULL,
$table[$prefix."_popbook"]["company"]["field"]="company";
$table[$prefix."_popbook"]["company"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["company"]["default"]="";
$table[$prefix."_popbook"]["company"]["null"]="YES";
$table[$prefix."_popbook"]["company"]["Extra"]="";

//`homeaddress` varchar(255) default NULL,
$table[$prefix."_popbook"]["homeaddress"]["field"]="homeaddress";
$table[$prefix."_popbook"]["homeaddress"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["homeaddress"]["default"]="";
$table[$prefix."_popbook"]["homeaddress"]["null"]="YES";
$table[$prefix."_popbook"]["homeaddress"]["Extra"]="";

//`city` varchar(80) default NULL,
$table[$prefix."_popbook"]["city"]["field"]="city";
$table[$prefix."_popbook"]["city"]["type"]="varchar(80)";
$table[$prefix."_popbook"]["city"]["default"]="";
$table[$prefix."_popbook"]["city"]["null"]="YES";
$table[$prefix."_popbook"]["city"]["Extra"]="";

//`homephone` varchar(255) default NULL,
$table[$prefix."_popbook"]["homephone"]["field"]="homephone";
$table[$prefix."_popbook"]["homephone"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["homephone"]["default"]="";
$table[$prefix."_popbook"]["homephone"]["null"]="YES";
$table[$prefix."_popbook"]["homephone"]["Extra"]="";

//`workphone` varchar(255) default NULL,
$table[$prefix."_popbook"]["workphone"]["field"]="workphone";
$table[$prefix."_popbook"]["workphone"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["workphone"]["default"]="";
$table[$prefix."_popbook"]["workphone"]["null"]="YES";
$table[$prefix."_popbook"]["workphone"]["Extra"]="";

//`homepage` varchar(255) default NULL,
$table[$prefix."_popbook"]["homepage"]["field"]="homepage";
$table[$prefix."_popbook"]["homepage"]["type"]="varchar(255)";
$table[$prefix."_popbook"]["homepage"]["default"]="";
$table[$prefix."_popbook"]["homepage"]["null"]="YES";
$table[$prefix."_popbook"]["homepage"]["Extra"]="";

//``notes` text,"
$table[$prefix."_popbook"]["notes"]["field"]="notes";
$table[$prefix."_popbook"]["notes"]["type"]="text";
$table[$prefix."_popbook"]["notes"]["default"]="none";
$table[$prefix."_popbook"]["notes"]["null"]="YES";
$table[$prefix."_popbook"]["notes"]["Extra"]="";
?>
