  CREATE TABLE `{$db_prefix}_popbook` (

  `uid` int(11) NOT NULL default '0',

  `contactid` int(11) NOT NULL auto_increment,

  `firstname` varchar(50) default NULL,

  `lastname` varchar(50) default NULL,

  `email` varchar(255) default NULL,

  `company` varchar(255) default NULL,

  `homeaddress` varchar(255) default NULL,

  `city` varchar(80) default NULL,

  `homephone` varchar(255) default NULL,

  `workphone` varchar(255) default NULL,

  `homepage` varchar(255) default NULL,

  `IM` varchar(255) default NULL,

  `notes` text,

  PRIMARY KEY  (`contactid`),

  KEY `uid` (`uid`),

  KEY `contactid` (`contactid`)

) TYPE=MyISAM;



CREATE TABLE `{$db_prefix}_popsettings` (

  `id` int(11) NOT NULL auto_increment,

  `uid` int(11) NOT NULL default '0',

  `account` varchar(50) default '',

  `popserver` varchar(255) default '',

  `port` int(5) default '0',

  `uname` varchar(100) default '',

  `passwd` varchar(20) default '',

  `numshow` int(11) default '0',

  `deletefromserver` char(1) default 'Y',

  `refresh` int(11) default '0',

  `timeout` int(11) default '0',

  PRIMARY KEY  (`id`),

  KEY `id` (`id`),

  KEY `uid` (`uid`)

) TYPE=MyISAM;



CREATE TABLE `{$db_prefix}_poplogs` (

  `id` int(10) NOT NULL auto_increment,

  `uid` int(10) NOT NULL default '0',

  `attachment` text,

  `date` date NOT NULL default '0000-00-00',

  `ip` text,

  KEY `id` (`id`)

) TYPE=MyISAM;

ALTER TABLE `wt_users` ADD `webmail_banned` ENUM( 'Y', 'N' ) DEFAULT 'N' NOT NULL;