<?php

/*****************************************************************************

* tab_articles.php                                                           *

******************************************************************************

* created:      2003-11-12                                                   *

* Author:       Ottojan Visser                                               *

* Description:  Database table definition file. This file is used to upgrade *

*               the phpTTJournal database. Works for version 0.6 and higher. *

******************************************************************************/

$table_create[$prefix."_articles"]="CREATE TABLE `".$prefix."_articles` ("

                                  ." `cod` int(10) unsigned NOT NULL auto_increment,"

                                  ." `article_id` int(10) unsigned NOT NULL default '0',"

                                  ." `subtitle` varchar(127) default NULL,"

                                  ." `page` tinyint(3) unsigned NOT NULL default '0',"

                                  ." `text` longtext NOT NULL,"

                                  ." `text_ori` longtext NOT NULL,"

                                  ." `htmlarticle` tinyint(3) unsigned NOT NULL default '0',"

                                  ." `views` int(10) unsigned NOT NULL default '0',"

                                  ." PRIMARY KEY  (`cod`),"

                                  ." UNIQUE KEY `ArticleInd` (`article_id`,`page`)"

                                  ." ) TYPE=MyISAM";





$table_index[$prefix."_articles"][]="PRIMARY KEY  (`cod`)";

$table_index[$prefix."_articles"][]="UNIQUE KEY `ArticleInd` (`article_id`,`page`)";



//`cod` int(10) unsigned NOT NULL auto_increment,"

$table[$prefix."_articles"]["cod"]["field"]="cod";

$table[$prefix."_articles"]["cod"]["type"]="int(10) unsigned";

$table[$prefix."_articles"]["cod"]["default"]="";

$table[$prefix."_articles"]["cod"]["null"]="";

$table[$prefix."_articles"]["cod"]["Extra"]="auto_increment";



//`article_id` int(10) unsigned NOT NULL default '0',"

$table[$prefix."_articles"]["article_id"]["field"]="article_id";

$table[$prefix."_articles"]["article_id"]["type"]="int(10) unsigned";

$table[$prefix."_articles"]["article_id"]["default"]="0";

$table[$prefix."_articles"]["article_id"]["null"]="";

$table[$prefix."_articles"]["article_id"]["Extra"]="";



//`subtitle` varchar(127) default NULL,"

$table[$prefix."_articles"]["subtitle"]["field"]="subtitle";

$table[$prefix."_articles"]["subtitle"]["type"]="varchar(127)";

$table[$prefix."_articles"]["subtitle"]["default"]="";

$table[$prefix."_articles"]["subtitle"]["null"]="YES";

$table[$prefix."_articles"]["subtitle"]["Extra"]="";



//`page` tinyint(3) unsigned default '0',"

$table[$prefix."_articles"]["page"]["field"]="page";

$table[$prefix."_articles"]["page"]["type"]="tinyint(3) unsigned";

$table[$prefix."_articles"]["page"]["default"]="0";

$table[$prefix."_articles"]["page"]["null"]="";

$table[$prefix."_articles"]["page"]["Extra"]="";



//`text` longtext NOT NULL,"

$table[$prefix."_articles"]["text"]["field"]="text";

$table[$prefix."_articles"]["text"]["type"]="longtext";

$table[$prefix."_articles"]["text"]["default"]="";

$table[$prefix."_articles"]["text"]["null"]="";

$table[$prefix."_articles"]["text"]["Extra"]="";



//`text_ori` longtext NOT NULL,"

$table[$prefix."_articles"]["text_ori"]["field"]="text_ori";

$table[$prefix."_articles"]["text_ori"]["type"]="longtext";

$table[$prefix."_articles"]["text_ori"]["default"]="";

$table[$prefix."_articles"]["text_ori"]["null"]="";

$table[$prefix."_articles"]["text_ori"]["Extra"]="";



//`htmlarticle` tinyint(3) unsigned default '0',"

$table[$prefix."_articles"]["htmlarticle"]["field"]="htmlarticle";

$table[$prefix."_articles"]["htmlarticle"]["type"]="tinyint(3) unsigned";

$table[$prefix."_articles"]["htmlarticle"]["default"]="0";

$table[$prefix."_articles"]["htmlarticle"]["null"]="";

$table[$prefix."_articles"]["htmlarticle"]["Extra"]="";



//`views` int(10) unsigned NOT NULL default '0',"

$table[$prefix."_articles"]["views"]["field"]="views";

$table[$prefix."_articles"]["views"]["type"]="int(10) unsigned";

$table[$prefix."_articles"]["views"]["default"]="0";

$table[$prefix."_articles"]["views"]["null"]="";

$table[$prefix."_articles"]["views"]["Extra"]="";



?>

