<?php

/*****************************************************************************

* tab_jizda.php                                                           *

******************************************************************************

* created:      2003-11-12                                                   *

* Author:       Ottojan Visser                                               *

* Description:  Database table definition file. This file is used to upgrade *

*               the phpTTJournal database. Works for version 0.6 and higher. *

******************************************************************************/

$table_create[$prefix."_jizda"]="CREATE TABLE `".$prefix."_articles` ("

                                  ." `cod` int(10) unsigned NOT NULL auto_increment,"

                                  ." `article_id` int(10) unsigned NOT NULL default '0',"

                                  ." `subtitle` varchar(127) default NULL,"

                                  ." `page` tinyint(3) unsigned NOT NULL default '0',"

                                  ." `text` longtext NOT NULL,"

                                  ." `text_ori` longtext NOT NULL,"

                                  ." `htmlarticle` tinyint(3) unsigned NOT NULL default '0',"

                                  ." `views` int(10) unsigned NOT NULL default '0',"

                                  ." PRIMARY KEY  (`cod`),"

                                  ." UNIQUE KEY `JizdaInd` (`jizda_id`,`page`)"

                                  ." ) TYPE=MyISAM";





$table_index[$prefix."_articles"][]="PRIMARY KEY  (`cod`)";

$table_index[$prefix."_jizda"][]="UNIQUE KEY `JizdaInd` (`jizda_id`,`page`)";



//`cod` int(10) unsigned NOT NULL auto_increment,"

$table[$prefix."_jizda"]["cod"]["field"]="cod";

$table[$prefix."_jizda"]["cod"]["type"]="int(10) unsigned";

$table[$prefix."_jizda"]["cod"]["default"]="";

$table[$prefix."_jizda"]["cod"]["null"]="";

$table[$prefix."_jizda"]["cod"]["Extra"]="auto_increment";



//`article_id` int(10) unsigned NOT NULL default '0',"

$table[$prefix."_jizda"]["article_id"]["field"]="article_id";

$table[$prefix."_jizda"]["article_id"]["type"]="int(10) unsigned";

$table[$prefix."_jizda"]["article_id"]["default"]="0";

$table[$prefix."_jizda"]["article_id"]["null"]="";

$table[$prefix."_jizda"]["article_id"]["Extra"]="";



//`subtitle` varchar(127) default NULL,"

$table[$prefix."_jizda"]["subtitle"]["field"]="subtitle";

$table[$prefix."_jizda"]["subtitle"]["type"]="varchar(127)";

$table[$prefix."_jizda"]["subtitle"]["default"]="";

$table[$prefix."_jizda"]["subtitle"]["null"]="YES";

$table[$prefix."_jizda"]["subtitle"]["Extra"]="";



//`page` tinyint(3) unsigned default '0',"

$table[$prefix."_jizda"]["page"]["field"]="page";

$table[$prefix."_jizda"]["page"]["type"]="tinyint(3) unsigned";

$table[$prefix."_jizda"]["page"]["default"]="0";

$table[$prefix."_jizda"]["page"]["null"]="";

$table[$prefix."_jizda"]["page"]["Extra"]="";



//`text` longtext NOT NULL,"

$table[$prefix."_jizda"]["text"]["field"]="text";

$table[$prefix."_jizda"]["text"]["type"]="longtext";

$table[$prefix."_jizda"]["text"]["default"]="";

$table[$prefix."_jizda"]["text"]["null"]="";

$table[$prefix."_jizda"]["text"]["Extra"]="";



//`text_ori` longtext NOT NULL,"

$table[$prefix."_jizda"]["text_ori"]["field"]="text_ori";

$table[$prefix."_jizda"]["text_ori"]["type"]="longtext";

$table[$prefix."_jizda"]["text_ori"]["default"]="";

$table[$prefix."_jizda"]["text_ori"]["null"]="";

$table[$prefix."_jizda"]["text_ori"]["Extra"]="";



//`htmlarticle` tinyint(3) unsigned default '0',"

$table[$prefix."_jizda"]["htmlarticle"]["field"]="htmlarticle";

$table[$prefix."_jizda"]["htmlarticle"]["type"]="tinyint(3) unsigned";

$table[$prefix."_jizda"]["htmlarticle"]["default"]="0";

$table[$prefix."_jizda"]["htmlarticle"]["null"]="";

$table[$prefix."_jizda"]["htmlarticle"]["Extra"]="";



//`views` int(10) unsigned NOT NULL default '0',"

$table[$prefix."_jizda"]["views"]["field"]="views";

$table[$prefix."_jizda"]["views"]["type"]="int(10) unsigned";

$table[$prefix."_jizda"]["views"]["default"]="0";

$table[$prefix."_jizda"]["views"]["null"]="";

$table[$prefix."_jizda"]["views"]["Extra"]="";



?>

