<?php
include_once("core/main.php");
if( !check_user_class($config["admmenu"]["sidebox"]["class"]) ) exit;

$index_page = false;
$page_name = $lang["BADGES_ADMIN_TITLE"];

draw_header();

require_once("phpdbform/phpdbform_{$config["dbtype"]}.php");
require_once("phpdbform/phpdbform_db.php");

$db = new phpdbform_db( $config["database"], $config["host"], $config["user"], $config["password"] );
$db->connect();
$formdb = new phpdbform( $db, "{$config["prefix"]}_badges", "cod", "cod,title", "manual" );

// read drectory
$php_files = "none";
$dir = opendir("modules/badges/files/") or die( $ERROR_05 );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") $php_files .= ",".substr( $file, 0, strrpos( $file, "." ) );
}
closedir($dir);

// read drectory2
$img_files = "none";
$dir = opendir("var/badges/") or die( $ERROR_05 );
while( ($file = readdir($dir))!==false )
{
    if($file!="." && $file!="..") $img_files .= ",".$file;
}
closedir($dir);

$type = array();
$types[] = array( "Y","Yes" );
$types[] = array( "N","No" );
$formdb->add_static_listbox( "manual", "Manual Trigger", $types );
$formdb->add_textbox( "title", "Title", 60 );
$formdb->add_static_listbox( "image", "Image file", $img_files );
$formdb->add_static_listbox( "file", "PHP file", $php_files );
$formdb->add_textarea( "descr", "Description", 40, 4 );
$functions = array();
$functions[] = array( "","None" );
reset($config["badges"]);

while( $sd = each($config["badges"]) ) $functions[] = array( $sd[1]["function"], $sd[1]["title"] );
$formdb->add_static_listbox( "function", "Internal Function", $functions );


theme_draw_centerbox_open($page_name);
$formdb->process();
$formdb->draw();
theme_draw_centerbox_close();
draw_footer();
?>