BEGIN;

CREATE SEQUENCE wt_comments_cod_seq;

CREATE TABLE wt_comments (

  cod INT4 DEFAULT nextval('wt_comments_cod_seq'),

  type INT2  NOT NULL DEFAULT '0',

  link INT4  NOT NULL DEFAULT '0',

  DATE TIMESTAMP NOT NULL DEFAULT '0001-01-01 00:00:00',

  userid INT4  NOT NULL DEFAULT '0',

  comment TEXT DEFAULT '' NOT NULL,

  PRIMARY KEY  (cod)

);

CREATE INDEX MainInd_wt_comments_index ON wt_comments (type,link,date);

SELECT SETVAL('wt_comments_cod_seq',(select case when max(cod)>0 then max(cod)+1 else 1 end from wt_comments));

COMMIT;

