<?php 

// tady doplnte cislo mesta ktere chcete zobrazit 

$kod_mesta = 2; 

function PrevedNaISO($vstup_str) 
{ 
  return StrTr($vstup_str, chr(138).chr(141).chr(142).chr(154).chr(157).chr(158), 
                        chr(169).chr(171).chr(174).chr(185).chr(187).chr(190)); 
} 



// Definice meteorologickch stanic 

$stanice = array( 
  // ceske stanice 
   1 => array(kod => 'EZXX0001', mesto => 'Beroun'), 
   2 => array(kod => 'EZXX0002', mesto => 'Brno'), 
   3 => array(kod => 'EZXX0027', mesto => 'erven'), 
   4 => array(kod => 'EZXX0030', mesto => 'esk Budjovice'), 
   5 => array(kod => 'EZXX0003', mesto => 'esk Tn'), 
   6 => array(kod => 'EZXX0004', mesto => 'Frdek-Mstek'), 
   7 => array(kod => 'EZXX0017', mesto => 'Cheb'), 
   8 => array(kod => 'EZXX0019', mesto => 'Churov'), 
   9 => array(kod => 'EZXX0028', mesto => 'Holeov'), 
  10 => array(kod => 'EZXX0026', mesto => 'st Nad Orlic'), 
  11 => array(kod => 'EZXX0005', mesto => 'Karvin'), 
  12 => array(kod => 'EZXX0006', mesto => 'Kladno'), 
  13 => array(kod => 'EZXX0021', mesto => 'Koelovice'), 
  14 => array(kod => 'EZXX0007', mesto => 'Koln'), 
  15 => array(kod => 'EZXX0024', mesto => 'Kosteln Myslov'), 
  16 => array(kod => 'EZXX0023', mesto => 'Liberec'), 
  17 => array(kod => 'EZXX0029', mesto => 'Lys Hora'), 
  18 => array(kod => 'EZXX0020', mesto => 'Mileovka'), 
  19 => array(kod => 'EZXX0008', mesto => 'Opava'), 
  20 => array(kod => 'EZXX0009', mesto => 'Ostrava'), 
  21 => array(kod => 'EZXX0010', mesto => 'Plze'), 
  22 => array(kod => 'EZXX0011', mesto => 'Psek'), 
  23 => array(kod => 'EZXX0012', mesto => 'Praha'), 
  24 => array(kod => 'EZXX0022', mesto => 'Praha - Libu'), 
  25 => array(kod => 'EZXX0025', mesto => 'Pibyslav'), 
  26 => array(kod => 'EZXX0018', mesto => 'Pimda'), 
  27 => array(kod => 'EZXX0013', mesto => 'Rosice'), 
  28 => array(kod => 'EZXX0014', mesto => 'Slavkov u Brna'), 
  29 => array(kod => 'EZXX0015', mesto => 'Tbor'), 
  30 => array(kod => 'EZXX0016', mesto => 'st Nad Labem'), 
  // slovenske stanice 
  31 => array(kod => 'LOXX0001', mesto => 'Bratislava'), 
  32 => array(kod => 'LOXX0002', mesto => 'Ivanka pri Dunaji'), 
  33 => array(kod => 'LOXX0003', mesto => 'Koice'), 
  34 => array(kod => 'LOXX0004', mesto => 'Nov Zmky'), 
  35 => array(kod => 'LOXX0008', mesto => 'Pieany'), 
  36 => array(kod => 'LOXX0005', mesto => 'Poprad'), 
  37 => array(kod => 'LOXX0006', mesto => 'Senec'), 
  38 => array(kod => 'LOXX0009', mesto => 'Slia'), 
  39 => array(kod => 'LOXX0007', mesto => 'Trnava') 
); 

$den = array('NEDLE', 'PONDL', 'TER', 'STEDA', 'TVRTEK', 'PTEK', 'SOBOTA'); 



function convdate($datum){ 
   $pasmo_pocasi = -5;  // casove pasmo ziskanych dat 
   $pasmo = 1.00 - $pasmo_pocasi; 
   if (strlen($datum) > 10) { 
      $format = 'd.m.Y  H:i'; 
      $datum = mktime(substr($datum,11,2)+$pasmo,substr($datum,14,2),substr($datum,17,2),substr($datum,0,2),substr($datum,3,2),substr($datum,6,4), 0); 
   } else { 
      $format = 'd.m.Y'; 
      $datum = mktime(0,0,0,substr($datum,0,2),substr($datum,3,2),substr($datum,6,4), 0); 
   } 
   return(date($format, $datum)); 
} 

function CelNumber($number){ 
   if ($number == '') { 
      return '-'; 
   } else { 
      return (round((5/9)*($number-32)).''); 
   } 
} 

function zobrazpocasi(){ 
   global $mesto, $stanice, $den, $mesto_text; 
   $stranka = join ('^', file('http://www.msnbc.com/m/chnk/d/weather_d_src.asp?acid='.$mesto)); 
   $pole = explode('^', $stranka); 
   foreach ($pole as $grabline){ 
      $grabline = trim($grabline) . "\n"; 
      if (substr($grabline,7,5) == 'City ')    { $v_City    = substr($grabline,15,20); } 
      if (substr($grabline,7,7) == 'SubDiv ')  { $v_SubDiv  = substr($grabline,17,20); } 
      if (substr($grabline,7,8) == 'Country ') { $v_Country = substr($grabline,18,20); } 
      if (substr($grabline,7,7) == 'Region ')  { $v_Region  = substr($grabline,17,20); } 
      if (substr($grabline,7,5) == 'Temp ')    { $v_Temp    = substr($grabline,15,20); } 
      if (substr($grabline,7,6) == 'CIcon ')   { $v_CIcon   = substr($grabline,16,20); } 
      if (substr($grabline,7,6) == 'WindS ')   { $v_WindS   = substr($grabline,16,20); } 
      if (substr($grabline,7,6) == 'WindD ')   { $v_WindD   = substr($grabline,16,20); } 
      if (substr($grabline,7,5) == 'Baro ')    { $v_Baro    = substr($grabline,15,20); } 
      if (substr($grabline,7,6) == 'Humid ')   { $v_Humid   = substr($grabline,16,20); } 
      if (substr($grabline,7,5) == 'Real ')    { $v_Real    = substr($grabline,15,20); } 
      if (substr($grabline,7,3) == 'UV ')      { $v_UV      = substr($grabline,13,20); } 
      if (substr($grabline,7,4) == 'Vis ')     { $v_Vis     = substr($grabline,14,20); } 
      if (substr($grabline,7,7) == 'LastUp ')  { $v_LastUp  = substr($grabline,17,22); } 
      if (substr($grabline,7,5) == 'Acid ')    { $v_Acid    = substr($grabline,15,20); } 
      if (substr($grabline,7,5) == 'Fore ')    { $v_Fore    = substr($grabline,15,250); } 
   } 
   $v_mesto    = substr($v_City,0,strlen($v_City)-3); 
   $v_vitrS   = substr($v_WindS,0,strlen($v_WindS)-3); 
   $v_vitrD   = substr($v_WindD,0,strlen($v_WindD)-3); 
   $v_tlak    = substr($v_Baro,0,strlen($v_Baro)-3); 
   $v_vlhkost   = substr($v_Humid,0,strlen($v_Humid)-3); 
   $v_teplot    = substr($v_Real,0,strlen($v_Real)-3); 
   $v_UV      = substr($v_UV,0,strlen($v_UV)-3); 
   $v_viditelnost     = substr($v_Vis,0,strlen($v_Vis)-3); 
   $v_LastUp  = substr($v_LastUp,0,strlen($v_LastUp)-3); 
   $v_LastUp  = convDate(str_replace('/', '.',$v_LastUp)); 
   $v_LastUp  = str_replace('  ', ' ',$v_LastUp); 
   $v_vitrS = $v_vitrS * 1.6; 
   $v_viditelnost = $v_viditelnost * 1.6; 
   $v_vitrD = str_replace('S', 'J', $v_vitrD); 
   $v_vitrD = str_replace('N', 'S', $v_vitrD); 
   $v_vitrD = str_replace('E', 'V', $v_vitrD); 
   $v_vitrD = str_replace('W', 'Z', $v_vitrD); 



// Prohlei zaleme hlaviku o typu obrzku. 
Header("Content-type: image/jpeg"); 

// Vytvome nov obrzek o velikosti obrazku back.jpg. 
$image = imagecreatefromjpeg("pozadi.jpg"); 


$napis1 = $mesto_text; 
$napis2 = $v_LastUp; 
$napis3 = CelNumber($v_teplot); 
$napis4 = $v_vitrD." ".$v_vitrS." km/h"; 
$napis5 = $v_tlak; 
$napis6 = $v_vlhkost . " %"; 
$napis7 = $v_UV; 
$napis8 = $v_viditelnost . "Km"; 



// Alokujeme si barvu na text 
$text = ImageColorAllocate($image, 255, 255, 204); 


// Vepeme do obrzku testovac text. 
ImageString($image, 4, 90, 6, PrevedNaISO($napis1), $text); 
ImageString($image, 4, 90, 19, PrevedNaISO($napis2), $text); 
ImageString($image, 4, 90, 32, PrevedNaISO($napis3), $text); 
ImageString($image, 4, 90, 44, PrevedNaISO($napis4), $text); 
ImageString($image, 4, 90, 57, PrevedNaISO($napis5), $text); 
ImageString($image, 4, 90, 70, PrevedNaISO($napis6), $text); 
ImageString($image, 4, 90, 83, PrevedNaISO($napis7), $text); 
ImageString($image, 4, 90, 96, PrevedNaISO($napis8), $text); 



// Vytvome obrzek. 
ImageJPEG($image, "", 100); 

// Znime obrzek. 
ImageDestroy($image); 


} 


$mesto = $stanice[$kod_mesta][kod]; 
$mesto_text = $stanice[$kod_mesta][mesto]; 
zobrazpocasi(); 


?>