<?php
/*****************************************************************************
* tab_badges.php                                                             *
******************************************************************************
* created:      04-21-2004                                                   *
* Author:       Jaron Bouton                                                 *
* Description:  Database table definition file for the badges module         *
******************************************************************************/

$table_create[$prefix."_badges"]=("CREATE TABLE `".$prefix."_badges` (
  `cod` int(10) unsigned NOT NULL auto_increment,
  `manual` enum('Y','N') NOT NULL default 'Y',
  `title` varchar(30) NOT NULL default '',
  `image` text,
  `file` varchar(40) NOT NULL default 'none',
  `function` varchar(50) default NULL,
  `descr` text NOT NULL,
  PRIMARY KEY  (`cod`)
) TYPE=MyISAM ");

$table_index[$prefix."_journal_entries"][]="PRIMARY KEY  (`cod`)";

//`cod` int(10) unsigned NOT NULL auto_increment,
$table[$prefix."_badges"]["cod"]["field"]="cod";
$table[$prefix."_badges"]["cod"]["type"]="int(10)";
$table[$prefix."_badges"]["cod"]["default"]="";
$table[$prefix."_badges"]["cod"]["null"]="";
$table[$prefix."_badges"]["cod"]["Extra"]="auto_increment";

//`manual` enum('Y','N') NOT NULL default 'Y',
$table[$prefix."_badges"]["manual"]["field"]="manual";
$table[$prefix."_badges"]["manual"]["type"]="enum('Y','N')";
$table[$prefix."_badges"]["manual"]["default"]="Y";
$table[$prefix."_badges"]["manual"]["null"]="";
$table[$prefix."_badges"]["manual"]["Extra"]="";

//`title` varchar(30) NOT NULL default '',
$table[$prefix."_badges"]["title"]["field"]="title";
$table[$prefix."_badges"]["title"]["type"]="varchar(30)";
$table[$prefix."_badges"]["title"]["default"]="";
$table[$prefix."_badges"]["title"]["null"]="";
$table[$prefix."_badges"]["title"]["Extra"]="";

//`image` text,
$table[$prefix."_badges"]["image"]["field"]="image";
$table[$prefix."_badges"]["image"]["type"]="text";
$table[$prefix."_badges"]["image"]["default"]="";
$table[$prefix."_badges"]["image"]["null"]="";
$table[$prefix."_badges"]["image"]["Extra"]="";

//`file` varchar(40) NOT NULL default 'none',
$table[$prefix."_badges"]["file"]["field"]="file";
$table[$prefix."_badges"]["file"]["type"]="varchar(40)";
$table[$prefix."_badges"]["file"]["default"]="none";
$table[$prefix."_badges"]["file"]["null"]="";
$table[$prefix."_badges"]["file"]["Extra"]="";

//`function` varchar(50) default NULL,
$table[$prefix."_badges"]["function"]["field"]="function";
$table[$prefix."_badges"]["function"]["type"]="varchar(50)";
$table[$prefix."_badges"]["function"]["default"]="";
$table[$prefix."_badges"]["function"]["null"]="YES";
$table[$prefix."_badges"]["function"]["Extra"]="";

//`descr` text NOT NULL,
$table[$prefix."_badges"]["descr"]["field"]="descr";
$table[$prefix."_badges"]["descr"]["type"]="text";
$table[$prefix."_badges"]["descr"]["default"]="";
$table[$prefix."_badges"]["descr"]["null"]="";
$table[$prefix."_badges"]["descr"]["Extra"]="";

$table_content[$prefix."_badges"]["USA Badge"]["field"]="title";
$table_content[$prefix."_badges"]["USA Badge"]["value"]="'USA Badge'";
$table_content[$prefix."_badges"]["USA Badge"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (1, 'N', 'USA Badge', 'none', 'usabadge', '', 'This badge is held by users who live in the USA!')";

$table_content[$prefix."_badges"]["World User Badge"]["field"]="title";
$table_content[$prefix."_badges"]["World User Badge"]["value"]="'World User Badge'";
$table_content[$prefix."_badges"]["World User Badge"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (2, 'N', 'World User Badge', 'none', 'worldbadge', '', 'This badge is held by users outside the USA.')";

$table_content[$prefix."_badges"]["Admin Badge"]["field"]="title";
$table_content[$prefix."_badges"]["Admin Badge"]["value"]="'Admin Badge'";
$table_content[$prefix."_badges"]["Admin Badge"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (3, 'N', 'Admin Badge', 'none', 'adminbadge', '', 'This badge is held by admins only!')";

$table_content[$prefix."_badges"]["Handy Persone Badge"]["field"]="title";
$table_content[$prefix."_badges"]["Handy Persone Badge"]["value"]="'Handy Persone Badge'";
$table_content[$prefix."_badges"]["Handy Persone Badge"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (4, 'Y', 'Handy Persone Badge', 'handy.gif', 'none', '', 'This badge is held by very handy users to have around.')";

$table_content[$prefix."_badges"]["Bug Finder"]["field"]="title";
$table_content[$prefix."_badges"]["Bug Finder"]["value"]="'Bug Finder'";
$table_content[$prefix."_badges"]["Bug Finder"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (5, 'Y', 'Bug Finder', 'bug finder.gif', 'none', '', 'This badge is held by users who are bug finding fools!')";

$table_content[$prefix."_badges"]["Bug Killer"]["field"]="title";
$table_content[$prefix."_badges"]["Bug Killer"]["value"]="'Bug Killer'";
$table_content[$prefix."_badges"]["Bug Killer"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (6, 'Y', 'Bug Killer', 'bug killer.gif', 'none', '', 'This badge is held by members who can kil bugs with ease.')";

$table_content[$prefix."_badges"]["Bug Free"]["field"]="title";
$table_content[$prefix."_badges"]["Bug Free"]["value"]="'Bug Free'";
$table_content[$prefix."_badges"]["Bug Free"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (7, 'Y', 'Bug Free', 'bug free.gif', 'none', '', 'This member is known for bug free programming.')";

$table_content[$prefix."_badges"]["PHP User Badge"]["field"]="title";
$table_content[$prefix."_badges"]["PHP User Badge"]["value"]="'PHP User Badge'";
$table_content[$prefix."_badges"]["PHP User Badge"]["query"]="INSERT INTO `{$prefix}_badges` VALUES (8, 'Y', 'PHP User Badge', 'phpicon.jpg', 'none', '', 'This badge is held by members who use php.')";

?>
